# GraphicsSet Struct Reference

All data of a graphics set. More...

`#include <base_media_base.h>`

Inheritance diagram for GraphicsSet:

## Public Member Functions

bool | FillSetDetails (struct IniFile *ini, const char *path)
| Read the set information from a loaded ini.

## Data Fields

PaletteType | palette
| Palette of this graphics set.

## Detailed Description

All data of a graphics set.

Definition at line 234 of file base_media_base.h.

## Member Function Documentation

bool GraphicsSet::FillSetDetails | ( | struct IniFile * | ini,
|  | const char * | path |
| ) |  |  |

Read the set information from a loaded ini.

Parameters:

  | ini | the ini to read from
  | path | the path to this ini file (for filenames)

Returns:
  true if loading was successful.

Reimplemented from BaseSet< GraphicsSet, MAX_GFT, DATA_DIR >.

Definition at line 206 of file gfxinit.cpp.

References fetch_metadata, IniFile::GetGroup(), PAL_DOS, PAL_WINDOWS, palette, and IniItem::value.

The documentation for this struct was generated from the following files:

- src/base_media_base.h
- src/gfxinit.cpp